
clc
clear
close all
% load phychemical.mat;
% load phyindex.mat;
fid=fopen('AAindex.txt');
fid1=fopen('aaindex1.txt');
% threod=20;
% index=phy(1,1:threod);
% phychedata=[];
data=[];
cout=0;
while ~feof(fid1)
    a=fgetl(fid1);
    number1=str2num(a);
    pp=0;
    while pp==0
        b=fgetl(fid);
        temp=[];
       if b(1,1)=='H'
           schar=b(1,3:end);
       end
       number2=str2num(b);
       if ~isempty(number2)
           flag=number1(1:10)==number2;
           if sum(flag)==10;
               temp.name=schar;
               temp.feature=number1;
               data=[data;temp];
               pp=1;
               cout=cout+1;
           end
       end
    end
end
phychedata=data;
save('phychedata.mat','phychedata');
fclose(fid);
fclose(fid1);
    

